Plesk\backup\Agent\Schema\Backup\RoleType\LimitsAndPermissionsAType:
    properties:
        permission:
            expose: true
            access_type: public_method
            serialized_name: permission
            xml_element:
                cdata: false
            accessor:
                getter: getPermission
                setter: setPermission
            xml_list:
                inline: true
                entry_name: permission
            type: array<Plesk\backup\Agent\Schema\Backup\RoleType\LimitsAndPermissionsAType\PermissionAType>
        servicePermission:
            expose: true
            access_type: public_method
            serialized_name: service-permission
            xml_element:
                cdata: false
            accessor:
                getter: getServicePermission
                setter: setServicePermission
            xml_list:
                inline: true
                entry_name: service-permission
            type: array<Plesk\backup\Agent\Schema\Backup\RoleType\LimitsAndPermissionsAType\ServicePermissionAType>
